# PCMGSetNumberSmoothUp

Sets the number of post-smoothing steps to use on all levels. Use PCMGGetSmootherUp() to set different numbers of post-smoothing steps on different levels.

### Synopsis

    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGSetNumberSmoothUp(PC pc,PetscInt n)

Collective on PC

### Input Parameters

| mg | - the multigrid context
| n | - the number of smoothing steps

### Options Database Key

-pc_mg_smoothup <n> -Sets number of post-smoothing steps

Note: this does not set a value on the coarsest grid, since we assume that there is no separate smooth up on the coarsest grid.

### Keywords

MG, smooth, up, post-smoothing, steps, multigrid

### See Also

PCMGSetNumberSmoothDown()

Level:advanced
Location: src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages